local t = Def.ActorFrame {
--[[ 	LoadActor(THEME:GetPathB("_shared","background original/ring")) .. {
		InitCommand=cmd(zoom,1.225;spin;effectmagnitude,0,0,80;diffuse,cBlue;diffusealpha,0.5;);
	};
	LoadActor(THEME:GetPathB("_shared","background original/ring")) .. {
		InitCommand=cmd(zoom,1.2;spin;effectmagnitude,0,0,-40);
	}; --]]
	-- Fade --
	Def.Quad {
		InitCommand=cmd(y,-40;vertalign,top;zoomto,SCREEN_WIDTH,80;diffuse,0,0,0,1;diffusealpha,0.75);
		OnCommand=cmd(sleep,2;smooth,1.5;zoomto,SCREEN_WIDTH,SCREEN_CENTER_Y+40;smooth,0.5;y,SCREEN_BOTTOM-320);
	};
	Def.Quad {
		InitCommand=cmd(y,-45;zoomto,SCREEN_WIDTH,10;diffuse,0,0,0,1;fadetop,1;diffusealpha,0.35);
		OnCommand=cmd(sleep,3.5;smooth,0.5;y,SCREEN_BOTTOM-320-5);
	};
	Def.Quad {
		InitCommand=cmd(y,45;zoomto,SCREEN_WIDTH,10;diffuse,0,0,0,1;fadebottom,1;diffusealpha,0.35);
		OnCommand=cmd(sleep,2;smooth,1.5;y,SCREEN_CENTER_Y);
	};
	LoadFont("Common Normal") .. {
		Text="Demonstration";
		InitCommand=cmd(NoStroke;shadowlength,1);
		OnCommand=cmd(sleep,2;smooth,1.5;y,SCREEN_CENTER_Y-40;smooth,0.5;y,SCREEN_CENTER_Y-60);
	};
	LoadFont("Common Normal") .. {
		Text=GAMESTATE:GetCurrentSong():GetDisplayFullTitle() .. " - " .. GAMESTATE:GetCurrentSong():GetDisplayArtist();
		InitCommand=cmd(NoStroke;shadowlength,1;y,SCREEN_CENTER_Y-30;diffusealpha,0;);
		OnCommand=cmd(sleep,3.5;smooth,0.5;diffuse,SONGMAN:GetSongColor(GAMESTATE:GetCurrentSong());zoom,0.75;smooth,0.5;diffusetopedge,LightColor(SONGMAN:GetSongColor(GAMESTATE:GetCurrentSong())));
	};
	
};

t.InitCommand=cmd(Center);

return t;
